<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>	
<%@ include file="/m05bIdioma.inc"%>
	

	
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<title><%= resTit.getString("titVehSeguros")%></title>
<%
	  String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";
      }
%>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>

<SCRIPT language="JavaScript">
function fncNuevo() {
       		formSeguro.action="m05bPolizaJsp.jsp?Codigo=&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
       		formSeguro.submit();
	}
function fncModificar(codigo, tipo) {
            formSeguro.action="m05bGenerarPolizaServlet?Codigo=" + codigo + "&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value+ "&Tipo="+tipo;
            formSeguro.submit();
    }
</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_SEGUROS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_SEGUROS%>";	 
</script>			
<%@include file="m05bVehiculosFijo.inc"%>	
	
<FORM NAME="formSeguro" METHOD="POST">
<%int contador=0;%>    
	
<%
StringBuffer sql = new StringBuffer();
StringBuffer sql2 = new StringBuffer();

String Falta="", Fbaja="", Fcaduc="", Fsolic="";
String Modalidad="", Estado="", Poliza="", Cia="",Cod="", Situacion="",DescModalidad="";;

sql.append("SELECT ").append(m05bConstantes.COL_13_CODIGO).append(",");
sql.append(m05bConstantes.COL_13_ESTADO).append(",").append(m05bConstantes.COL_13_CIA);
sql.append(",").append(m05bConstantes.COL_13_POLIZAV);
sql.append(",").append(m05bConstantes.COL_13_MODAL).append(",");
sql.append(m05bConstantes.COL_13_FALTA).append(",").append(m05bConstantes.COL_13_FBAJA).append(",");
sql.append(m05bConstantes.COL_13_FSOLIC).append(",").append(m05bConstantes.COL_13_FCADUC).append(",");
sql.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+") as ");
sql.append(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
sql.append(" FROM ").append(m05bConstantes.TAB_HIST_SEGUROS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES);
sql.append(" WHERE ").append(m05bConstantes.COL_13_MATRICULA);
sql.append("='").append(matricula).append("' AND ");
sql.append(m05bConstantes.COL_99_CODTABLA).append(" (+) = ").append(m05bConstantes.DESC_MODALIDADES).append(" AND ");
sql.append(m05bConstantes.COL_99_CODDESC).append(" (+) = ").append(m05bConstantes.COL_13_MODAL);
sql.append(" ORDER BY TO_NUMBER(").append( m05bConstantes.COL_13_CODIGO).append(") " ).append(" desc , " ).append( m05bConstantes.COL_13_ESTADO).append(" desc ");
//sql.append(" ORDER BY TO_CHAR(").append( m05bConstantes.COL_13_FSOLIC).append(",'yyyy/mm/dd') , " ).append( m05bConstantes.COL_13_ESTADO).append(" desc ");
sql2.append("SELECT ").append(m05bConstantes.COL_13_ESTADO).append(" FROM ").append(m05bConstantes.TAB_HIST_SEGUROS);
sql2.append(" WHERE ").append(m05bConstantes.COL_13_MATRICULA);
sql2.append("='").append(matricula).append("'").append(" ORDER BY TO_NUMBER(");
sql2.append(m05bConstantes.COL_13_CODIGO).append(") " ).append("desc");

    m05bFileLog miLog = new m05bFileLog();
    miLog.addTraza(persona , "Veh Seguros" , "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh Seguros", "SQL-2: " + sql2, m05bConstantes.LOG_NIVEL_BAJO);
        try {
           if (!matricula.equals("")) {
	           conexion = miConexion.getConnection();
	           conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
	           pstmt2 = conexion.prepareStatement(sql2.toString());
			   rs2 = pstmt2.executeQuery();
	           if (rs2.next() == true){
	               Situacion=rs2.getString(m05bConstantes.COL_13_ESTADO);
	           }
	        }
         } catch (Exception SQLException){
            miLog.addTraza(SQLException);
         } finally{
				         if (rs2 != null)
					       rs2.close();
				         if (pstmt2 != null)
					       pstmt2.close();
				         if (conexion != null)
					        conexion.close();
		  }
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh Seguros" , "SITUACION " + Situacion, m05bConstantes.LOG_NIVEL_BAJO);
 if   (((Situacion.equals("C")) ||(Situacion.equals(""))) && (!(situacion.equals("B"))) && (sExisteMatricula.equals("1"))){%>
  	<TABLE class="general" width="100%">
	    <tr>
	      <!--td align=right> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
          <td align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  	      
		</tr>
  </TABLE>
<%}%>
  <TABLE class="general">
    <tr>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCInterno")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etEstado")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCia")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etPoliza")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etModalidad")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFSolicitud")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFAlta")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFCancelacion")%></td>
      <!--td valign="top" align="left" class="inputFieldTitle">F. Caducidad</td-->
    </tr>
    <%
        try {
           if (!matricula.equals("")){
           //m05bbBeginSelect(sql.toString());
           //m05bRS = m05bPStmt.executeQuery();
				if (conexion != null)
					conexion.close();           
           conexion = miConexion.getConnection();
           conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
           pstmt2 = conexion.prepareStatement(sql.toString());
		   rs2 = pstmt2.executeQuery();
           while (rs2.next() == true){
               contador=contador + 1;
               Cod=rs2.getString(m05bConstantes.COL_13_CODIGO);
               Falta=rs2.getString(m05bConstantes.COL_13_FALTA);
               Fbaja=rs2.getString(m05bConstantes.COL_13_FBAJA);
               Fcaduc=rs2.getString(m05bConstantes.COL_13_FCADUC);
               Fsolic=rs2.getString(m05bConstantes.COL_13_FSOLIC);
               Poliza=rs2.getString(m05bConstantes.COL_13_POLIZAV);
               if (Poliza==null ||Poliza.equals(""))
                   Poliza="";
               if (Falta==null ||Falta.equals(""))
                   Falta="";
               else
                   Falta=comun.Mes(Falta,campoTexto3);
               if (Fbaja==null ||Fbaja.equals(""))
                   Fbaja="";
               else
                   Fbaja=comun.Mes(Fbaja,campoTexto3);
               if (Fcaduc==null ||Fcaduc.equals(""))
                   Fcaduc="";
               else
                   Fcaduc=comun.Mes(Fcaduc,campoTexto3);
               if (Fsolic==null ||Fsolic.equals(""))
                   Fsolic="";
               else
                   Fsolic=comun.Mes(Fsolic,campoTexto3);
               Estado=rs2.getString(m05bConstantes.COL_13_ESTADO);
               Cia=rs2.getString(m05bConstantes.COL_13_CIA);
               Modalidad=rs2.getString(m05bConstantes.COL_13_MODAL);
               DescModalidad=rs2.getString(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
               if (DescModalidad==null ||DescModalidad.equals(""))
                   DescModalidad="";
               %>
    <tr>
      <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Cod%>','<%=((contador==1)?"MOD":"VER")%>')"><%=Cod%></A></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Estado%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Cia%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Poliza%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=DescModalidad%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fsolic%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Falta%></td>
      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fbaja%></td>
      <!--td valign="top" align="left" class="inputFieldTitleBlank"><%=Fcaduc%></td-->
    </tr>
           <%}
    }
  } catch (Exception SQLException){
	   miLog.addTraza(SQLException);
	   //m05bEndSelect();
  } finally {
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
  }
    %>

  </TABLE>
  	<TABLE class="general">
		<tr> </tr>
		<tr align="center">
			<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
	 	</tr>
		<tr> </tr>
	 </TABLE>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabSeguros=document.getElementById("tabSeguros");
   tabSeguros.style.backgroundColor="#000078"
</SCRIPT>
</BODY>
</HTML>